use crate::message_parser::MessageData;
use gtk::prelude::*;
use relm::Widget;
use relm_derive::{widget, Msg};

#[derive(Msg)]
pub enum Msg {}

pub struct CommRemoteServerData {
    pub remote_ip: String,
    pub tcp_sessions: Vec<(Option<u32>, Vec<MessageData>)>,
}

pub struct Model {
    data: CommRemoteServerData,
}

#[widget]
impl Widget for CommRemoteServer {
    fn model(_relm: &relm::Relm<Self>, data: CommRemoteServerData) -> Model {
        Model { data }
    }

    fn update(&mut self, _event: Msg) {}

    view! {
        gtk::Box {
            orientation: gtk::Orientation::Vertical,
            #[style_class="comm_remote_server_ip"]
            gtk::Label {
                label: &self.model.data.remote_ip,
                xalign: 0.0,
            },
        }
    }
}
